#Setup 
clear
import excel "..\Markups, Tobin's q and the Increasing Capital Share\data_Markups, Tobin's q and the Increasing Capital Share.xlsx", sheet("data") firstrow case(lower)
encode country, g(country2)
xtset country2 year
gen lnsk = ln(sk) 
gen lnqte = ln(qte)
bysort country: gen t = [_n]
bysort country: gen pcsk = lnsk[_n]-lnsk[_n-5]
bysort country: gen pcqte = lnqte[_n]-lnqte[_n-5]
gen lnunion = ln(union)
gen lnky = ln(ky)
gen lnrandy = ln(randy)
bysort country: gen a = 1 if pcemp>0 
bysort country: replace a = 0 if missing(a)

#Table 1 / Table A1
xtsum lnsk lnqte lnky lnunion lnrandy pcemp pcy pcpi 

#Table 2 

bysort country: gen pcunion = lnunion[_n]-lnunion[_n-5]
bysort country: gen pcky = lnky[_n]-lnky[_n-5]

reg lnsk lnqte lnunion i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte lnunion if year>1944, trend demean
predict f2
gen e2 = lnsk - f2
bysort country: gen e2la = (e2[_n-5]+e2[_n-4]+e2[_n-3]+e2[_n-2]+e2[_n-1])/5
reg pcsk pcqte pcunion e2la i.year i.country2 if year>1949, vce(robust)

reg lnsk lnqte lnunion i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnqte lnunion, trend demean
predict f3 
gen e3 = lnsk - f3
bysort country: gen e3la = (e3[_n-5]+e3[_n-4]+e3[_n-3]+e3[_n-2]+e3[_n-1])/5
reg pcsk pcqte pcunion e3la i.year i.i#i.country2, vce(robust)

reg lnsk lnqte lnky i.year i.country2 c.t1#i.country2 if year>1944, vce(robust)
xtcointtest pedroni lnsk lnky lnunion if year>1944, trend demean
predict f4 
gen e4 = lnsk - f4
bysort country: gen e4la = (e4[_n-5]+e4[_n-4]+e4[_n-3]+e4[_n-2]+e4[_n-1])/5
reg pcsk pcqte pcky e4la i.year i.country2 if year>1949, vce(robust)

reg lnsk lnqte lnky i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust)
xtcointtest pedroni lnsk lnqte lnky, trend demean
predict f5 
gen e5 = lnsk - f5 
bysort country: gen e5la = (e5[_n-5]+e5[_n-4]+e5[_n-3]+e5[_n-2]+e5[_n-1])/5
reg pcsk pcqte pcky e5la i.year i.i#i.country2, vce(robust)

reg lnsk lnqte lnunion lnky i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte lnky lnunion if year>1944, trend demean
predict f8 
gen e8 = lnsk - f8 
bysort country: gen e8la = (e8[_n-5]+e8[_n-4]+e8[_n-3]+e8[_n-2]+e8[_n-1])/5
reg pcsk pcqte pcky pcunion e8la i.year i.country2 if year>1949, vce(robust)

reg lnsk lnqte lnunion lnky i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust)  
xtcointtest pedroni lnsk lnqte lnky lnunion, trend demean
predict f9 
gen e9 = lnsk - f9
bysort country: gen e9la = (e9[_n-5]+e9[_n-4]+e9[_n-3]+e9[_n-2]+e9[_n-1])/5
reg pcsk pcqte pcunion pcky e9la i.year i.i#i.country2, vce(robust)

#Table A2

reg lnsk lnqte i.country2 c.t1#i.country2 i.year if year>1944, vce(robust)
predict f0 
xtcointtest pedroni lnsk lnqte if year>1944, trend demean
gen e0 = lnsk - f0
bysort country: gen e0la = (e0[_n-5]+e0[_n-4]+e0[_n-3]+e0[_n-2]+e0[_n-1])/5
reg pcsk pcqte e0la i.year i.country2 if year>1949, vce(robust)

reg lnsk lnqte i.country2 c.t#i.country2 c.t1#i.country2 i.year, vce(robust)
xtcointtest pedroni lnsk lnqte, trend demean
predict f1 
gen e1 = lnsk - f1 
bysort country: gen e1la = (e1[_n-5]+e1[_n-4]+e1[_n-3]+e1[_n-2]+e1[_n-1])/5
reg pcsk pcqte e1la i.year i.i#i.country2, vce(robust)

bysort country: gen pcsk2 = lnsk[_n]-lnsk[_n-10]
bysort country: gen pcsk3 = lnsk[_n]-lnsk[_n-20]
bysort country: gen pcqte2 = lnqte[_n]-lnqte[_n-10]
bysort country: gen pcqte3 = lnqte[_n]-lnqte[_n-20]
bysort country: gen e0la1 = (e0[_n-10]+e0[_n-9]+e0[_n-8]+e0[_n-7]+e0[_n-6]+e0[_n-5]+e0[_n-4]+e0[_n-3]+e0[_n-2]+e0[_n-1])/10
bysort country: gen e1la1 = (e1[_n-10]+e1[_n-9]+e1[_n-8]+e1[_n-7]+e1[_n-6]+e1[_n-5]+e1[_n-4]+e1[_n-3]+e1[_n-2]+e1[_n-1])/10
bysort country: gen e1la2 = (e1[_n-20]+e1[_n-19]+e1[_n-18]+e1[_n-17]+e1[_n-16]+e1[_n-15]+e1[_n-14]+e1[_n-13]+e1[_n-12]+e1[_n-11]+e1[_n-10]+e1[_n-9]+e1[_n-8]+e1[_n-7]+e1[_n-6]+e1[_n-5]+e1[_n-4]+e1[_n-3]+e1[_n-2]+e1[_n-1])/20

reg pcsk2 pcqte2 e0la1 i.year i.country2 if year>1954, vce(robust)
reg pcsk2 pcqte2 e1la1 i.year i.i#i.country2, vce(robust)
reg pcsk3 pcqte3 e1la2 i.year i.i#i.country2, vce(robust)

#Table A3

reg lnsk lnqte pcy i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte pcy if year>1944, trend demean

reg lnsk lnqte pcy i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnqte pcy, trend demean

reg lnsk lnqte lnrandy i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte lnrandy if year>1944, trend demean

reg lnsk lnqte lnrandy i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnrandy, trend demean

reg lnsk lnqte c.pcemp#i.a i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte pcemp if year>1944, trend demean

reg lnsk lnqte c.pcemp#i.a i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnqte pcemp, trend demean

reg lnsk lnqte pcpi i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte pcpi if year>1944, trend demean

reg lnsk lnqte pcpi i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnqte pcpi, trend demean

reg lnsk lnqte c.pcemp#i.a pcpi pcy lnrandy lnky lnunion i.year i.country2 c.t1#i.country2 if year>1944, vce(robust) 
xtcointtest pedroni lnsk lnqte pcemp pcpi pcy lnrandy lnky lnunion if year>1944, trend demean

reg lnsk lnqte lnrandy pcy c.pcemp#i.a pcpi lnky lnunion i.year i.country2 c.t#i.country2 c.t1#i.country2, vce(robust) 
xtcointtest pedroni lnsk lnqte lnrandy pcy pcemp pcpi lnky lnunion, trend demean

#Break tests

xtbreak test lnsk lnqte, breaks(1) hypothesis(1) 
xtbreak test lnsk lnqte lnky lnunion, breaks(1) hypothesis(1)
xtbreak test lnsk lnqte lnky lnunion lnrandy pcemp pcy pcpi, breaks(1) hypothesis(1) kfactors(year)
